--- include/class.notification.php	2009-01-12 23:15:12.082081730 +0200
+++ /usr/share/eventum/include/class.notification.php	2009-02-05 02:15:18.637536613 +0200
@@ -2084,11 +2069,11 @@
                  ) VALUES (
                     $issue_id,
                     0,
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     'issue',
                     '$email'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -2127,7 +2112,7 @@
                     " . Misc::escapeInteger($sub_id) . ",
                     '" . Misc::escapeString($type) . "'
                  )";
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
     }
 
 
@@ -2149,9 +2134,9 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "subscription
                  WHERE
                     sub_id=$sub_id";
-        list($issue_id, $usr_id) = $GLOBALS["db_api"]->dbh->getRow($stmt);
+        list($issue_id, $usr_id) = Db_Helper::getInstance()->getRow($stmt);
 
-        $email = strtolower(Mail_API::getEmailAddress($_POST["email"]));
+        $email = strtolower(Mail_Helper::getEmailAddress($_POST["email"]));
         $usr_id = User::getUserIDByEmail($email, true);
         if (!empty($usr_id)) {
             $email = '';
@@ -2179,7 +2164,7 @@
                     sub_usr_id=$usr_id
                  WHERE
                     sub_id=$sub_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -2188,7 +2173,7 @@
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "subscription_type
                      WHERE
                         sbt_sub_id=$sub_id";
-            $GLOBALS["db_api"]->dbh->query($stmt);
+            Db_Helper::getInstance()->query($stmt);
             // now add them all again
             for ($i = 0; $i < count($_POST["actions"]); $i++) {
                 Notification::addType($sub_id, $_POST["actions"][$i]);
--- include/class.pager.php	2009-01-12 23:15:12.045423021 +0200
+++ /usr/share/eventum/include/class.pager.php	2009-02-05 02:03:28.854054215 +0200
@@ -29,7 +29,6 @@
 // @(#) $Id: class.pager.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
 
 /**
  * Class to manage paginated links on the frontend pages.
@@ -63,7 +62,7 @@
         }
         // remove any order by clauses
         $stmt = preg_replace("/(.*)(ORDER BY\s+\w+\s+\w+)[,\s+\w+\s+\w+]*(.*)/sei", "'\\1\\3'", $stmt);
-        $rows = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $rows = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($rows)) {
             Error_Handler::logError(array($rows->getMessage(), $rows->getDebugInfo()), __FILE__, __LINE__);
             return 0;
--- include/class.phone_support.php	2009-01-12 23:15:12.082081730 +0200
+++ /usr/share/eventum/include/class.phone_support.php	2009-02-05 02:04:13.597383954 +0200
@@ -29,13 +29,6 @@
 // @(#) $Id: class.phone_support.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.date.php");
 
 /**
  * Class to handle the business logic related to the phone support
@@ -67,7 +60,7 @@
                     " . Misc::escapeInteger($_POST["prj_id"]) . ",
                     '" . Misc::escapeString($_POST["title"]) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -97,7 +90,7 @@
                  WHERE
                     phc_prj_id=" . Misc::escapeInteger($_POST["prj_id"]) . " AND
                     phc_id=" . Misc::escapeInteger($_POST["id"]);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -121,7 +114,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_phone_category
                  WHERE
                     phc_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -146,7 +139,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_phone_category
                  WHERE
                     phc_id=" . Misc::escapeInteger($phc_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -175,7 +168,7 @@
                     phc_prj_id=" . Misc::escapeInteger($prj_id) . "
                  ORDER BY
                     phc_title ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -204,7 +197,7 @@
                     phc_prj_id=" . Misc::escapeInteger($prj_id) . "
                  ORDER BY
                     phc_id ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -229,7 +222,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "phone_support
                  WHERE
                     phs_id=" . Misc::escapeInteger($phs_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -267,7 +260,7 @@
                     phs_iss_id=" .  Misc::escapeInteger($issue_id) . "
                  ORDER BY
                     phs_created_date ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -275,7 +268,7 @@
             for ($i = 0; $i < count($res); $i++) {
                 $res[$i]["phs_description"] = Misc::activateLinks(nl2br(htmlspecialchars($res[$i]["phs_description"])));
                 $res[$i]["phs_description"] = Link_Filter::processText($res[$i]['iss_prj_id'], $res[$i]["phs_description"]);
-                $res[$i]["phs_created_date"] = Date_API::getFormattedDate($res[$i]["phs_created_date"]);
+                $res[$i]["phs_created_date"] = Date_Helper::getFormattedDate($res[$i]["phs_created_date"]);
             }
             return $res;
         }
@@ -298,7 +291,7 @@
             $_POST["date"]["Day"], $_POST["date"]["Hour"],
             $_POST["date"]["Minute"], 0);
         // convert the date to GMT timezone
-        $created_date = Date_API::convertDateGMT($created_date);
+        $created_date = Date_Helper::convertDateGMT($created_date);
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "phone_support
                  (
@@ -328,7 +321,7 @@
                     '" . Misc::escapeString($_POST["to_lname"]) . "',
                     '" . Misc::escapeString($_POST["to_fname"]) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -346,7 +339,7 @@
                      WHERE
                         ttr_iss_id = " . Misc::escapeInteger($_POST["issue_id"]) . " AND
                         ttr_usr_id = $usr_id";
-            $ttr_id = $GLOBALS["db_api"]->dbh->getOne($stmt);
+            $ttr_id = Db_Helper::getInstance()->getOne($stmt);
 
             Issue::markAsUpdated($_POST['issue_id'], 'phone call');
             // need to save a history entry for this
@@ -362,7 +355,7 @@
                             phs_ttr_id = $ttr_id
                          WHERE
                             phs_id = " . Misc::escapeInteger($phs_id);
-                $res = $GLOBALS["db_api"]->dbh->query($stmt);
+                $res = Db_Helper::getInstance()->query($stmt);
                 if (PEAR::isError($res)) {
                     Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                     return -1;
@@ -393,7 +386,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "phone_support
                  WHERE
                     phs_id=$phone_id";
-        $details = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $details = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if ($details['phs_usr_id'] != Auth::getUserID()) {
             return -2;
         }
@@ -402,7 +395,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "phone_support
                  WHERE
                     phs_id=$phone_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -441,7 +434,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "phone_support
                  WHERE
                     phs_iss_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -472,7 +465,7 @@
                     iss_prj_id = " . Auth::getCurrentProject() . " AND
                     phs_created_date BETWEEN '" . Misc::escapeString($start) . "' AND '" . Misc::escapeString($end) . "' AND
                     phs_usr_id = " . Misc::escapeInteger($usr_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
--- include/class.prefs.php	2009-01-12 23:15:12.055441962 +0200
+++ /usr/share/eventum/include/class.prefs.php	2009-02-05 02:04:13.597383954 +0200
@@ -29,9 +29,6 @@
 // @(#) $Id: class.prefs.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.date.php");
 
 /**
  * Class to handle the business logic related to the user preferences
@@ -55,7 +52,7 @@
         $prefs = array(
             'receive_assigned_emails' => array(),
             'receive_new_emails'      => array(),
-            'timezone'                => Date_API::getDefaultTimezone(),
+            'timezone'                => Date_Helper::getDefaultTimezone(),
             'list_refresh_rate'       => APP_DEFAULT_REFRESH_RATE,
             'emails_refresh_rate'     => APP_DEFAULT_REFRESH_RATE,
             'email_signature'         => '',
@@ -93,7 +90,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "user
                  WHERE
                     usr_id=$usr_id";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -144,7 +141,7 @@
                     usr_preferences='" . Misc::escapeString($data) . "'
                  WHERE
                     usr_id=" . Misc::escapeInteger($usr_id);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
--- include/class.priority.php	2009-01-12 23:15:12.089164963 +0200
+++ /usr/share/eventum/include/class.priority.php	2009-02-05 02:03:28.857395632 +0200
@@ -29,9 +29,6 @@
 // @(#) $Id: class.priority.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.validation.php");
 
 /**
  * Class to handle project priority related issues.
@@ -81,7 +78,7 @@
                      WHERE
                         pri_prj_id=" . Misc::escapeInteger($prj_id) . " AND
                         pri_id=" . Misc::escapeInteger($replaced_pri_id);
-            $GLOBALS["db_api"]->dbh->query($stmt);
+            Db_Helper::getInstance()->query($stmt);
         }
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_priority
@@ -90,7 +87,7 @@
                  WHERE
                     pri_prj_id=" . Misc::escapeInteger($prj_id) . " AND
                     pri_id=" . Misc::escapeInteger($pri_id);
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
         return true;
     }
 
@@ -114,7 +111,7 @@
                     pri_prj_id=" . Misc::escapeInteger($prj_id) . "
                  ORDER BY
                     pri_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -139,7 +136,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_priority
                  WHERE
                     pri_id=" . Misc::escapeInteger($pri_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -164,7 +161,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_priority
                  WHERE
                     pri_prj_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -188,7 +185,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_priority
                  WHERE
                     pri_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -219,7 +216,7 @@
                  WHERE
                     pri_prj_id=" . Misc::escapeInteger($_POST["prj_id"]) . " AND
                     pri_id=" . Misc::escapeInteger($_POST["id"]);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -251,7 +248,7 @@
                     '" . Misc::escapeString($_POST["title"]) . "',
                     " . Misc::escapeInteger($_POST['rank']) . "
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -281,7 +278,7 @@
                     pri_prj_id=" . Misc::escapeInteger($prj_id) . "
                  ORDER BY
                     pri_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -306,7 +303,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_priority
                  WHERE
                     pri_id=" . Misc::escapeInteger($pri_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -341,7 +338,7 @@
                     pri_prj_id=" . Misc::escapeInteger($prj_id) . "
                  ORDER BY
                     pri_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -370,7 +367,7 @@
                     pri_prj_id=" . Misc::escapeInteger($prj_id) . "
 					AND pri_title = '" . Misc::escapeString($pri_title) . "'";
 
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return null;
